<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Socket Server</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha2/css/bootstrap.min.css"
        integrity="sha384-DhY6onE6f3zzKbjUPRc2hOzGAdEf4/Dz+WJwBvEYL/lkkIsI3ihufq9hk9K4lVoK" crossorigin="anonymous">
</head>

<body class="container">

    <h1 class="mt-5">My Bands</h1>
    <hr>
    <ul id="all-bands">
    </ul>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/3.0.1/socket.io.js"
        integrity="sha512-vGcPDqyonHb0c11UofnOKdSAt5zYRpKI4ow+v6hat4i96b7nHSn8PQyk0sT5L9RECyksp+SztCPP6bqeeGaRKg=="
        crossorigin="anonymous"></script>

    <script>
        // Conexión con el socket server
        const socket = io('http://localhost:8080');
        const bandsList = document.querySelector('#all-bands')
        socket.on('All-bands', (data) => {
            console.log(data)
            for (let i = 0; i < data.length; i++) {
                bandsList.innerHTML += `<li> ${data[i].name} </li>`
            }
        });
    </script>
</body>

</html>